Bug 998178 - [abrt] abrt-addon-ccpp-2.1.6-3.fc18: pthread_cond_signal@@GLIBC_2.3.2: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] abrt-addon-ccpp-2.1.6-3.fc18: pthread_cond_signal@@GLIBC_2.3.2: Proces...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nspr (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
abrt_hash:daf1c5a17a4be741a9ecbc886d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 20:32 EDT by Moez Roy
Modified: 2014-02-05 17:18 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.50 KB, text/plain)
2013-08-17 20:32 EDT, Moez Roy
no flags Details
File: cgroup (156 bytes, text/plain)
2013-08-17 20:32 EDT, Moez Roy
no flags Details
File: core_backtrace (13.70 KB, text/plain)
2013-08-17 20:32 EDT, Moez Roy
no flags Details
File: dso_list (2.78 KB, text/plain)
2013-08-17 20:32 EDT, Moez Roy
no flags Details
File: environ (326 bytes, text/plain)
2013-08-17 20:32 EDT, Moez Roy
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-17 20:32 EDT, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-17 20:32 EDT, Moez Roy
no flags Details
File: maps (13.73 KB, text/plain)
2013-08-17 20:32 EDT, Moez Roy
no flags Details
File: open_fds (477 bytes, text/plain)
2013-08-17 20:33 EDT, Moez Roy
no flags Details
File: proc_pid_status (901 bytes, text/plain)
2013-08-17 20:33 EDT, Moez Roy
no flags Details
File: var_log_messages (6.64 KB, text/plain)
2013-08-17 20:33 EDT, Moez Roy
no flags Details

  None (edit)
Description Moez Roy 2013-08-17 20:32:28 EDT
Version-Release number of selected component:
abrt-addon-ccpp-2.1.6-3.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/python -u /usr/bin/abrt-action-list-dsos -m maps -o dso_list
crash_function: pthread_cond_signal@@GLIBC_2.3.2
executable:     /usr/bin/python2.7
kernel:         3.10.7-100.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pthread_cond_signal@@GLIBC_2.3.2 at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_signal.S:43
 #1 pt_PostNotifies at ../../../nspr/pr/src/pthreads/ptsynch.c:113
 #2 PR_Unlock at ../../../nspr/pr/src/pthreads/ptsynch.c:208
 #3 PK11_AddSlotToList at pk11slot.c:209
 #4 PK11_LoadSlotList at pk11slot.c:938
 #5 secmod_LoadPKCS11Module at pk11load.c:516
 #6 SECMOD_LoadModule at pk11pars.c:1010
 #8 nss_InitModules at nssinit.c:435
 #9 nss_Init at nssinit.c:639
 #10 NSS_InitContext at nssinit.c:834
Comment 1 Moez Roy 2013-08-17 20:32:32 EDT
Created attachment 787694 [details]
File: backtrace
Comment 2 Moez Roy 2013-08-17 20:32:35 EDT
Created attachment 787695 [details]
File: cgroup
Comment 3 Moez Roy 2013-08-17 20:32:39 EDT
Created attachment 787696 [details]
File: core_backtrace
Comment 4 Moez Roy 2013-08-17 20:32:43 EDT
Created attachment 787697 [details]
File: dso_list
Comment 5 Moez Roy 2013-08-17 20:32:46 EDT
Created attachment 787698 [details]
File: environ
Comment 6 Moez Roy 2013-08-17 20:32:49 EDT
Created attachment 787699 [details]
File: exploitable
Comment 7 Moez Roy 2013-08-17 20:32:53 EDT
Created attachment 787700 [details]
File: limits
Comment 8 Moez Roy 2013-08-17 20:32:56 EDT
Created attachment 787701 [details]
File: maps
Comment 9 Moez Roy 2013-08-17 20:33:00 EDT
Created attachment 787702 [details]
File: open_fds
Comment 10 Moez Roy 2013-08-17 20:33:03 EDT
Created attachment 787703 [details]
File: proc_pid_status
Comment 11 Moez Roy 2013-08-17 20:33:07 EDT
Created attachment 787704 [details]
File: var_log_messages
Comment 12 Richard Marko 2013-12-03 08:42:01 EST
nss/nspr?
Comment 13 Elio Maldonado Batiz 2013-12-03 12:19:24 EST
Looking at the backtrace in Comment 0 and Comment 1, I see that it goes through
 #5 secmod_LoadPKCS11Module at pk11load.c:516
 #6 SECMOD_LoadModule at pk11pars.c:1010
taht and seeing exploitable on Comment 6 leads me to look at upstream 
https://bugzilla.mozilla.org/show_bug.cgi?id=925100
See also http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1741

I suspect there may be a connection here between that and the current bug. If so, the rebase of nss/nss-softokn/nss-util to nss-3.15.3 may solve this one. I have rebased Rawhide already, plan to rebase F20 in a few days, F19 and F18 somewhat later.
Comment 14 Fedora End Of Life 2013-12-21 09:29:59 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 17:18:17 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.